Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.labkey.remoteapi.ms2
Enum StartSearchCommand.SearchEngine

    java.lang.Object
      java.lang.Enum<StartSearchCommand.SearchEngine>
          org.labkey.remoteapi.ms2.StartSearchCommand.SearchEngine

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StartSearchCommand.SearchEngine>

Enclosing class:
  StartSearchCommand

    public static enum StartSearchCommand.SearchEngine

extends java.lang.Enum<StartSearchCommand.SearchEngine>

The set of supported search engines, which may or may not be available on any given server

Enum Constant Summary
`Mascot`
`Sequest`
`XTandem`

Method Summary
`static StartSearchCommand.SearchEngine` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StartSearchCommand.SearchEngine[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XTandem

    public static final StartSearchCommand.SearchEngine XTandem

### Sequest

    public static final StartSearchCommand.SearchEngine Sequest

### Mascot

    public static final StartSearchCommand.SearchEngine Mascot

Method Detail

### values

    public static StartSearchCommand.SearchEngine[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StartSearchCommand.SearchEngine c : StartSearchCommand.SearchEngine.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StartSearchCommand.SearchEngine valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD